﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WcfMT.DataLayer
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class MTDBEntities : DbContext
    {
        public MTDBEntities()
            : base("name=MTDBEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<tblContracts> tblContracts { get; set; }
        public virtual DbSet<tblPoints> tblPoints { get; set; }
        public virtual DbSet<tblZones> tblZones { get; set; }
    
        public virtual ObjectResult<sp_GetZones_Result> sp_GetZones(string zipCodeFrom, string zipCodetO)
        {
            var zipCodeFromParameter = zipCodeFrom != null ?
                new ObjectParameter("ZipCodeFrom", zipCodeFrom) :
                new ObjectParameter("ZipCodeFrom", typeof(string));
    
            var zipCodetOParameter = zipCodetO != null ?
                new ObjectParameter("ZipCodetO", zipCodetO) :
                new ObjectParameter("ZipCodetO", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_GetZones_Result>("sp_GetZones", zipCodeFromParameter, zipCodetOParameter);
        }
    }
}
